Subject: Re: [PATCH] net: sctp: fix skb leak in sctp_inq_free()

From: Jakub Kicinski <[email-masked]>
Date: Fri, 9 Feb 2024 13:47:03 -0800

On Tue,  6 Feb 2024 12:26:17 +0300 Dmitry Antipov wrote:
> In case of GSO, 'chunk->skb' pointer may point to an entry from
> fraglist created in 'sctp_packet_gso_append()'. To avoid freeing
> random fraglist entry (and so undefined behavior and/or memory
> leak), ensure that 'chunk->skb' is set to 'chunk->head_skb'
> (i.e. fraglist head) before calling 'sctp_chunk_free()'.

The code already exists in another place in this file, let's factor it
out to a helper function.
-- 
pw-bot: cr